Page MenuHomePhabricator

Make JobQueueGroup/JobQueue error out on write ops in read-only mode
Closed, ResolvedPublic

Description

Read-only mode can work the same way as LBFactory and FileBackend, where the flag is passed down the object construction graph.

It's useful to have:
a) App level read-only errors instead redis error spam about read-only mode
b) Read-only mode on the app level to reduce traffic for background maintenance sometimes
c) The ability for code to check if the queue is read-only to have smarter behavior

Details

Related Gerrit Patches:
mediawiki/core : masterEnforce $wgReadOnly for job queues

Event Timeline

aaron created this task.Mar 23 2016, 11:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2016, 11:27 PM

Change 279664 had a related patch set uploaded (by Aaron Schulz):
Enforce $wgReadOnly for job queues

https://gerrit.wikimedia.org/r/279664

aaron triaged this task as Medium priority.Mar 28 2016, 6:44 PM
aaron moved this task from Inbox to Doing on the Performance-Team board.
aaron updated the task description. (Show Details)Apr 18 2016, 5:52 PM

Change 279664 merged by jenkins-bot:
Enforce $wgReadOnly for job queues

https://gerrit.wikimedia.org/r/279664

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 20 2016, 1:02 AM
aaron closed this task as Resolved.Apr 20 2016, 6:04 PM